apiVersion: apps/v1
kind: Deployment
metadata:
  name: x100-operator
  namespace: system
spec:
  template:
    spec:
      containers:
      - name: x100-operator
        args:
        - "--config=controller_manager_config.yaml"
        volumeMounts:
        - name: manager-config
          mountPath: /controller_manager_config.yaml
          subPath: controller_manager_config.yaml
      volumes:
      - name: manager-config
        configMap:
          name: manager-config
